package top.continew.admin.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import top.continew.admin.business.model.entity.TaskInfo;
import top.continew.admin.business.model.query.TaskInfoQuery;
import top.continew.admin.business.model.resp.TaskInfoResp;

import java.util.List;

/**
 * <p>
 * 任务信息表 Mapper 接口
 * </p>
 *
 * @author xudm
 * @since 2024-12-15
 */
public interface TaskInfoMapper extends BaseMapper<TaskInfo> {

    List<TaskInfoResp> getTaskInfoByPage(@Param("query") TaskInfoQuery query, Page<TaskInfoResp> page);
}
